Bug 1995546 - katello:change_download_policy rake still suggest background download_policy as valid option in Satellite 6.10
Summary: katello:change_download_policy rake still suggest background download_policy...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.10.0
Hardware: All
OS: Unspecified
medium
medium vote
Target Milestone: 6.10.0
Assignee: Ian Ballou
QA Contact: addubey
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-19 11:29 UTC by Sayan Das
Modified: 2021-11-16 14:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:13:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33468 0 None None None 2021-09-10 18:48:39 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:13:30 UTC

Description Sayan Das 2021-08-19 11:29:24 UTC
Description of problem:

katello:change_download_policy  rake still suggest "background" download_policy as a valid option in Satellite 6.10

Version-Release number of selected component (if applicable):

Satellite 6.10

How reproducible:

Always


Steps to Reproduce:
1. Install Satellite
2. Run : foreman-rake -D katello:change_download_policy 


Actual results:

# foreman-rake -D katello:change_download_policy 
'ErbParser' is ignored.
'RubyParser' is ignored.
rake katello:change_download_policy
    Change the download policy of all repos. Specify DOWNLOAD_POLICY=policy. Options are immediate, on_demand, background.



Expected results:

# foreman-rake -D katello:change_download_policy 
'ErbParser' is ignored.
'RubyParser' is ignored.
rake katello:change_download_policy
    Change the download policy of all repos. Specify DOWNLOAD_POLICY=policy. Options are immediate and on_demand.



Additional info:

NA

Comment 1 Justin Sherrill 2021-09-23 14:40:38 UTC
Connecting redmine issue https://projects.theforeman.org/issues/33468 from this bug

Comment 2 Brad Buckingham 2021-09-28 15:27:49 UTC
Moving to POST as upstream PR is merged.

Comment 5 addubey 2021-10-12 06:48:32 UTC
Verified.


Tested on: Satellite-6.10.0 Snap 22.0


Steps followed: 

1. Install Satellite

2. Run : foreman-rake -D katello:change_download_policy 



Observation: Stdout shows the expected results.

             ('ErbParser' is ignored.

             'RubyParser' is ignored.

              rake katello:change_download_policy

             Change the download policy of all repos. Specify DOWNLOAD_POLICY=policy. Options are immediate or on_demand.)

Comment 8 errata-xmlrpc 2021-11-16 14:13:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.